CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfRenderStates Struct Reference

Define the states used for drawing to a RenderTarget. More...

`#include <CSFML/Graphics/RenderStates.h>`

## Public Attributes
sfBlendMode | blendMode
| Blending mode.
sfStencilMode | stencilMode
| Stencil mode.
sfTransform | transform
| Transform.
sfCoordinateType | coordinateType
| Texture coordinate type.
const sfTexture * | texture
| Texture.
const sfShader * | shader
| Shader.

## Detailed Description

Define the states used for drawing to a RenderTarget.

Definition at line 43 of file RenderStates.h.

## Member Data Documentation

## ◆ blendMode

sfBlendMode sfRenderStates::blendMode

Blending mode.

Definition at line 45 of file RenderStates.h.

## ◆ coordinateType

sfCoordinateType sfRenderStates::coordinateType

Texture coordinate type.

Definition at line 48 of file RenderStates.h.

## ◆ shader

const sfShader* sfRenderStates::shader

Shader.

Definition at line 50 of file RenderStates.h.

## ◆ stencilMode

sfStencilMode sfRenderStates::stencilMode

Stencil mode.

Definition at line 46 of file RenderStates.h.

## ◆ texture

const sfTexture* sfRenderStates::texture

Texture.

Definition at line 49 of file RenderStates.h.

## ◆ transform

sfTransform sfRenderStates::transform

Transform.

Definition at line 47 of file RenderStates.h.

The documentation for this struct was generated from the following file:

- RenderStates.h